#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	App
%define		pnam	Nopaste
%include	/usr/lib/rpm/macros.perl
Summary:	App::Nopaste - easy access to any pastebin
Name:		perl-App-Nopaste
Version:	1.013
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/App/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a32fe4ee8f8887dc9064c221eaf7372f
URL:		http://search.cpan.org/dist/App-Nopaste/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
#BuildRequires:	perl(Browser::Open)
#BuildRequires:	perl(Clipboard)
#BuildRequires:	perl(Config::GitLike) >= 0.00
#BuildRequires:	perl(WWW::Pastebin::PastebinCom::Create)
BuildRequires:	perl-Class-Load
BuildRequires:	perl-Moose >= 0.74
BuildRequires:	perl-MooseX-Getopt >= 0.17
BuildRequires:	perl-URI
BuildRequires:	perl-WWW-Mechanize
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pastebins (also known as nopaste sites) let you post text, usually
code, for public viewing. They're used a lot in IRC channels to show
code that would normally be too long to give directly in the channel
(hence the name nopaste).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo y | %{__perl} Makefile.PL --skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/App/*.pm
%{perl_vendorlib}/App/Nopaste
%{_mandir}/man3/*

#files -n nopaste
%attr(755,root,root) %{_bindir}/nopaste
%{_mandir}/man1/nopaste.1p*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-App-Nopaste.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> eef746c
- up to 1.013

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> 9953379
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 66477ec
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Wed Dec 21 2011 Elan Ruusamäe <glen@pld-linux.org> 3fee866
- tests fail without MooseX::Getopt

* Wed Dec 21 2011 Elan Ruusamäe <glen@pld-linux.org> a063813
- new, created with pldcpan

